package com.mdd.admin.validate.commons;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotNull;

@ApiModel("IDS参数")
public class IdsValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty(
      value = "ID数组",
      required = true
   )
   private @NotNull(
   message = "ids参数缺失"
) List<Integer> ids;

   public @NotNull(
   message = "ids参数缺失"
) List<Integer> getIds() {
      return this.ids;
   }

   public void setIds(@NotNull(
   message = "ids参数缺失"
) List<Integer> ids) {
      this.ids = ids;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof IdsValidate)) {
         return false;
      } else {
         IdsValidate other = (IdsValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$ids = this.getIds();
            Object other$ids = other.getIds();
            if (this$ids == null) {
               if (other$ids != null) {
                  return false;
               }
            } else if (!this$ids.equals(other$ids)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IdsValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $ids = this.getIds();
      result = result * 59 + ($ids == null ? 43 : $ids.hashCode());
      return result;
   }

   public String toString() {
      return "IdsValidate(ids=" + this.getIds() + ")";
   }
}
